Page MenuHomePhabricator

GENDER support needed for usermerge-userdeleted-log and usermerge-move-log
Closed, ResolvedPublic

Details

Reference
bz70836
Related Gerrit Patches:
mediawiki/extensions/UserMerge : REL1_32Migrate UserMerge to modern logging system
mediawiki/extensions/UserMerge : masterMigrate UserMerge to modern logging system
mediawiki/extensions/UserMerge : masterAdded GENDER suport for log messages.

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:43 AM
bzimport set Reference to bz70836.
Legoktm created this task.Sep 15 2014, 4:39 AM

gerritadmin wrote:

Change 161032 had a related patch set uploaded by 01tonythomas:
Added GENDER suport for log messages

https://gerrit.wikimedia.org/r/161032

Change 161032 had a related patch set uploaded (by Paladox):
Added GENDER suport for log messages.

https://gerrit.wikimedia.org/r/161032

Aklapper removed Wikinaut as the assignee of this task.Jun 18 2015, 2:08 PM
Aklapper added a subscriber: Aklapper.

[Resetting task assignee to avoid cookie-licking. Please reclaim the task when you plan to actively work on this task. Thanks!]

MtDu added a subscriber: MtDu.Jan 29 2016, 4:14 AM

Seems like this needs some work. From what I can tell, some of the log messages currently use GENDER even though it's not supported. Seems like it will need to be converted to the new logging system. I'm not sure how that will go, as some of the log messages are actually created in certain files, e.g. usermerge-move-log is created in usermerge.php, so not sure how that conversion will be. Also, I'm not sure how to preserve the parameters. https://github.com/wikimedia/mediawiki/blob/0e1c391d97418e646a58d6f6f2545a83271b07ff/includes/logging/LogFormatter.php#L501-L509 uses 1 2 and 3 as those defaults. Does that mean checking for each messages and adding a parameter or something? This is a rough outline, imo, of what needs to be done, but will need some feedback from others before I begin to try to implement it. I will look into it, and will hopefully will be able to take a stab at this. Any comments are appreciated.
Thanks,
MtDu

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 8 2017, 8:31 AM
Framawiki moved this task from Backlog to Doing on the good first task board.Dec 2 2017, 1:44 PM
Amire80 moved this task from Untriaged to Gender on the I18n board.Feb 4 2018, 10:38 AM

Change 461292 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/UserMerge@master] Migrate UserMerge to modern logging system

https://gerrit.wikimedia.org/r/461292

matej_suchanek updated the task description. (Show Details)

Change 461292 merged by jenkins-bot:
[mediawiki/extensions/UserMerge@master] Migrate UserMerge to modern logging system

https://gerrit.wikimedia.org/r/461292

matej_suchanek closed this task as Resolved.Dec 28 2018, 12:38 PM
matej_suchanek removed a project: Patch-For-Review.

Change 161032 abandoned by Matěj Suchánek:
Added GENDER suport for log messages.

Reason:
Already done.

https://gerrit.wikimedia.org/r/161032

Change 484025 had a related patch set uploaded (by Paladox; owner: Matěj Suchánek):
[mediawiki/extensions/UserMerge@REL1_32] Migrate UserMerge to modern logging system

https://gerrit.wikimedia.org/r/484025

Change 484025 merged by jenkins-bot:
[mediawiki/extensions/UserMerge@REL1_32] Migrate UserMerge to modern logging system

https://gerrit.wikimedia.org/r/484025